changeset 995:9a54ad622318 draft

Remove superfluous To:
author HIROSE Yuuji <yuuji@gentei.org>
date Sun, 16 Oct 2022 07:46:37 +0859
parents f0a62a22e33c
children a50f5b0b2c3d
files s4-funcs.sh
diffstat 1 files changed, 8 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/s4-funcs.sh	Sat Oct 15 17:52:25 2022 +0859
+++ b/s4-funcs.sh	Sun Oct 16 07:46:37 2022 +0859
@@ -60,7 +60,7 @@
 iconxy_M=400x400
 maximagexy=1600x1600
 ### maximagexy=400x400
-filesize_max=$((5*1024*1024))
+filesize_max=${FILESIZE_MAX:-$((5*1024*1024))}
 filesize_max_MB="$((filesize_max/1024/1024))MB"
 file_accept='accept="image/*,text/*,audio/*,application/vnd.oasis.*,application/pdf,application/x-*,application/sqlite*,application/csv"'
 file_accept='accept=".jpg,.jpeg,.gif,.png,.tiff,.pdf,.odt,.ods,.odp,.odg,.mp3,.mp4,.m4v,.obj,.avi,.ogg,.mov,.webm,.gpx,.json,.geojson,.kml,.html,.css,.js,.java,.go,.cc,.rb,.py,.pl,lua,.awk,.sh,.c,.h,.txt,.tex,.sty,.zip,.xcf,.bz2,.gz,.xz,.7z,.csv,.dat,.db,.sq3"'
@@ -1346,7 +1346,7 @@
   rcpt=`echo $1|tr ' ' '\n'|sort -u|tr '\n' ' '` # uniq and strip newlines
   ## Gmail rejects below(Duplicated headers)
   ##rcptheader=`echo $1|tr ' ' '\n'|sort -u|sed '2,$s/^/To: /g'`
-  rcptheader="To: `echo $1|tr ' ' '\n'|sort -u|tr '\n' ','|sed 's/,$//'`"
+  rcptheader=`echo $1|tr ' ' '\n'|sort -u|tr '\n' ','|sed 's/,$//'`
   subj=`echo $2|nkf -jM|tr -d '\n'`
   sender=${SENDER:-$admin}
   # Do not call m4 with directly passing text
@@ -4606,6 +4606,12 @@
       fi
       ct="text/plain${charset:+; charset=$charset}"
       ;;
+    video/*)
+      if [ -z "$3" ]; then
+	_m4 -D_TITLE_="$fn" \
+	    -D_SRC_="?showattc+$1+$2+raw" $layout/videoplay.m4.html
+	exit $?
+      fi
   esac
   contenttype "$ct"
   echo "Content-Disposition: filename=\"$fn\""

yatex.org